//
//  CPCLCustomDescription.swift
//  PrinterDemo
//
//  Created by ldc on 2025/9/7.
//  Copyright © 2025 XiamenHY. All rights reserved.
//

import Foundation
import PrinterSDK

extension S1CPCLPrintResult: @retroactive CustomStringConvertible {
    
    public var description: String {
        switch self {
        case .success:
            return "Print Success".localized
        case .failurePaperEmpty:
            return "Print fail (LidOpe)".localized
        case .failureLidOpen:
            return "Print fail (PaperEmpty)".localized
        @unknown default:
            return "\(rawValue)"
        }
    }
}
